curl -X PUT 'https://api.tolt.com/v1/commissions/comm_eK9bzRGn46BhVgNFHD6fDgXW' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json' \
-d '{
"amount": 2999,
"status": "approved",
"revenue": 14999
}'
{
"success": true,
"data": [
{
"id": "comm_eK9bzRGn46BhVgNFHD6fDgXW",
"revenue": "14999",
"charge_id": "ch_9bzRGn46BhVgNFHD6fDgXW",
"charge_status": "paid",
"source": "manual",
"status": "approved",
"type": "reward",
"currency": null,
"partner_id": "part_JE3mfL9dfdffci7sFaJazAv2",
"organization_id": "org_JEsdfL9dfci7sFaJazAv2",
"program_id": "prg_YRdddbPDAKhWfdqhJbeh",
"transaction_id": "txn_7m46BhVkjkgNFHD6fDgXW",
"customer_id": "cust_d6BhVgNFHD6fDgkjkjXW",
"payout_id": null,
"created_at": "2025-04-25T09:36:10.858Z",
"updated_at": "2025-04-25T09:36:10.858Z",
"amount": "2999",
"scheduled_approval_date": null,
"approval_type": "immediate",
"flow_id": "flw_FX567GZjkn7RtaKbEuFatWw"
}
]
}
Commissions
Update Commission
This endpoint updates a commission.
PUT
/
v1
/
commissions
/
:id
curl -X PUT 'https://api.tolt.com/v1/commissions/comm_eK9bzRGn46BhVgNFHD6fDgXW' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json' \
-d '{
"amount": 2999,
"status": "approved",
"revenue": 14999
}'
{
"success": true,
"data": [
{
"id": "comm_eK9bzRGn46BhVgNFHD6fDgXW",
"revenue": "14999",
"charge_id": "ch_9bzRGn46BhVgNFHD6fDgXW",
"charge_status": "paid",
"source": "manual",
"status": "approved",
"type": "reward",
"currency": null,
"partner_id": "part_JE3mfL9dfdffci7sFaJazAv2",
"organization_id": "org_JEsdfL9dfci7sFaJazAv2",
"program_id": "prg_YRdddbPDAKhWfdqhJbeh",
"transaction_id": "txn_7m46BhVkjkgNFHD6fDgXW",
"customer_id": "cust_d6BhVgNFHD6fDgkjkjXW",
"payout_id": null,
"created_at": "2025-04-25T09:36:10.858Z",
"updated_at": "2025-04-25T09:36:10.858Z",
"amount": "2999",
"scheduled_approval_date": null,
"approval_type": "immediate",
"flow_id": "flw_FX567GZjkn7RtaKbEuFatWw"
}
]
}
Base URL https://api.tolt.com
Body Parameters
number - optional
The commission amount in cents
string - optional
Associated transaction identifier
string - optional
Associated charge identifier
string - optional
Source of the commission
string - optional
Commission status. Valid values are: ‘pending’, ‘approved’, ‘paid’,
‘rejected’, ‘refunded’
number - optional
The revenue amount in cents
string - optional
ISO 8601 timestamp of when the commission was created
Response
boolean
Whether the request was successful
array[object]
Hide properties
Hide properties
string
Unique identifier for the commission
number
Commission amount in cents
string
ID of the associated customer
string
Associated transaction identifier
string
Associated charge identifier
string
Status of the related charge (e.g. “paid”, “failed”)
string
Source of the commission
string
Commission status
string
Type of commission (e.g. “reward”, “referral”)
string | null
Currency of the commission (ISO currency code) or null if not set
number
Revenue amount in cents
string
ISO 8601 timestamp of creation
string
ISO 8601 timestamp of update
string
ID of the partner who earned the commission
string
Program ID the commission belongs to
string
Organization ID
string | null
ID of the payout if the commission has been paid, otherwise null
string | null
Scheduled approval date if applicable, otherwise null
string
Approval type for the commission (e.g. “immediate”, “manual”)
string
ID of the flow that generated the commission
curl -X PUT 'https://api.tolt.com/v1/commissions/comm_eK9bzRGn46BhVgNFHD6fDgXW' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json' \
-d '{
"amount": 2999,
"status": "approved",
"revenue": 14999
}'
{
"success": true,
"data": [
{
"id": "comm_eK9bzRGn46BhVgNFHD6fDgXW",
"revenue": "14999",
"charge_id": "ch_9bzRGn46BhVgNFHD6fDgXW",
"charge_status": "paid",
"source": "manual",
"status": "approved",
"type": "reward",
"currency": null,
"partner_id": "part_JE3mfL9dfdffci7sFaJazAv2",
"organization_id": "org_JEsdfL9dfci7sFaJazAv2",
"program_id": "prg_YRdddbPDAKhWfdqhJbeh",
"transaction_id": "txn_7m46BhVkjkgNFHD6fDgXW",
"customer_id": "cust_d6BhVgNFHD6fDgkjkjXW",
"payout_id": null,
"created_at": "2025-04-25T09:36:10.858Z",
"updated_at": "2025-04-25T09:36:10.858Z",
"amount": "2999",
"scheduled_approval_date": null,
"approval_type": "immediate",
"flow_id": "flw_FX567GZjkn7RtaKbEuFatWw"
}
]
}
⌘I

